> ## Documentation Index
> Fetch the complete documentation index at: https://waberes.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Informasi Perangkat

> Anda bisa menggunakan route API ini untuk mendapatkan informasi status perangkat berdasarkan id perangkat (device id)



## OpenAPI

````yaml /openapi.yaml get /api/v1/devices/info
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Dokumentasi REST API untuk berinteraksi dengan layanan WABeres
    programmatically atau programmatically
  title: WABeres (Unofficial WhatsApp API Gateway)
  version: 0.0.1
servers:
  - url: https://waberes.fredoronan.web.id
security: []
paths:
  /api/v1/devices/info:
    get:
      tags:
        - Devices
      summary: Informasi Perangkat
      description: >-
        Anda bisa menggunakan route API ini untuk mendapatkan informasi status
        perangkat berdasarkan id perangkat (device id)
      parameters:
        - description: API Key anda
          in: header
          name: X-API-Key
          required: true
          schema:
            type: string
        - description: >-
            Timestamp generate otomatis secara terprogram/programmatically,
            jangan manual
          in: header
          name: X-Timestamp
          required: true
          schema:
            type: string
        - description: Signature(METHOD + Path + timestamp + hashed(body))
          in: header
          name: X-Signature
          required: true
          schema:
            type: string
        - description: Device ID (bisa di dapatkan melalui dashboard)
          in: header
          name: X-Device-Id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/v1.ApiSuccessResponse-v1_DeviceInfoResponse
        '400':
          description: >-
            biasanya terkait dengan data yang harus di kirim itu tidak ada atau
            hilang
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/v1.ApiErrResponse'
        '404':
          description: terkait suatu data yang di kirim tidak di temukan dalam database
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/v1.ApiErrResponse'
        '500':
          description: internal server error, bukan anda
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/v1.ApiErrResponse'
components:
  schemas:
    v1.ApiSuccessResponse-v1_DeviceInfoResponse:
      properties:
        data:
          $ref: '#/components/schemas/v1.DeviceInfoResponse'
        message:
          example: berhasil melakukan sesuatu
          type: string
        success:
          example: true
          type: boolean
      type: object
    v1.ApiErrResponse:
      properties:
        code:
          example: error code (sebatas kode error saja)
          type: string
        error:
          example: verbosed error message (keterangan error yang lebih detail)
          type: string
        success:
          example: false
          type: boolean
      type: object
    v1.DeviceInfoResponse:
      properties:
        created_at:
          type: string
        device_id:
          example: 01GAHGDYTRIUGIDUYFI
          type: string
        state:
          example: disconnected
          type: string
      type: object

````